            #GIT_CMT=f27c81d12d5cdc2337e47e5793dc4c7a6c258f66
Name:		ndctl
Version:	72.1
Release:	1.0.1%{?dist}
Summary:	Manage "libnvdimm" subsystem devices (Non-volatile Memory)
License:	GPLv2
Url:		https://github.com/pmem/ndctl
Source0: ndctl-72.1.tar.bz2

Requires:	ndctl-libs%{?_isa} = %{version}-%{release}
Requires:	daxctl-libs%{?_isa} = %{version}-%{release}
Requires:	cxl-libs%{?_isa} = %{version}-%{release}
BuildRequires:	autoconf
%if 0%{?rhel} < 9
BuildRequires:	asciidoc
%define asciidoc --disable-asciidoctor
%else
BuildRequires:	rubygem-asciidoctor
%endif
BuildRequires:	xmlto
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libkmod)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	keyutils-libs-devel
%if 0%{?rhel} > 7
BuildRequires:	systemd-rpm-macros
%endif
BuildRequires:	iniparser-devel

%description
Utility library for managing the "libnvdimm" subsystem.  The "libnvdimm"
subsystem defines a kernel device model and control message interface for
platform NVDIMM resources like those defined by the ACPI 6+ NFIT (NVDIMM
Firmware Interface Table).


%package -n ndctl-devel
Summary:	Development files for libndctl
License:	LGPLv2
Requires:	ndctl-libs%{?_isa} = %{version}-%{release}

%description -n ndctl-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n daxctl
Summary:	Manage Device-DAX instances
License:	GPLv2
Requires:	daxctl-libs%{?_isa} = %{version}-%{release}

%description -n daxctl
The daxctl utility provides enumeration and provisioning commands for
the Linux kernel Device-DAX facility. This facility enables DAX mappings
of performance / feature differentiated memory without need of a
filesystem.

%package -n cxl-cli
Summary:	Manage CXL devices
License:	GPLv2
Requires:	cxl-libs%{?_isa} = %{version}-%{release}

%description -n cxl-cli
The cxl utility provides enumeration and provisioning commands for
the Linux kernel CXL devices.

%package -n cxl-devel
Summary:	Development files for libcxl
License:	LGPLv2
Requires:	cxl-libs%{?_isa} = %{version}-%{release}

%description -n cxl-devel
This package contains libraries and header files for developing applications
that use libcxl, a library for enumerating and communicating with CXL devices.

%package -n daxctl-devel
Summary:	Development files for libdaxctl
License:	LGPLv2
Requires:	daxctl-libs%{?_isa} = %{version}-%{release}

%description -n daxctl-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}, a library for enumerating
"Device DAX" devices.  Device DAX is a facility for establishing DAX
mappings of performance / feature-differentiated memory.


%package -n ndctl-libs
Summary:	Management library for "libnvdimm" subsystem devices (Non-volatile Memory)
License:	LGPLv2
Requires:	daxctl-libs%{?_isa} = %{version}-%{release}


%description -n ndctl-libs
Libraries for %{name}.

%package -n daxctl-libs
Summary:	Management library for "Device DAX" devices
License:	LGPLv2

%description -n daxctl-libs
Device DAX is a facility for establishing DAX mappings of performance /
feature-differentiated memory. daxctl-libs provides an enumeration /
control API for these devices.

%package -n cxl-libs
Summary:	Management library for CXL devices
License:	LGPLv2

%description -n cxl-libs
libcxl is a library for enumerating and communicating with CXL devices.


%prep
%setup -q ndctl-%{version}

%build
echo %{version} > version
./autogen.sh
%configure --disable-static --disable-silent-rules %{?asciidoc}
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%check
make check

%ldconfig_scriptlets -n ndctl-libs

%ldconfig_scriptlets -n daxctl-libs

%ldconfig_scriptlets -n cxl-libs

%define bashcompdir %(pkg-config --variable=completionsdir bash-completion)

%files
%license LICENSES/preferred/GPL-2.0 LICENSES/other/MIT LICENSES/other/CC0-1.0
%{_bindir}/ndctl
%{_mandir}/man1/ndctl*
%{bashcompdir}/ndctl
%{_unitdir}/ndctl-monitor.service
%{_sysconfdir}/ndctl/keys/keys.readme
%{_sysconfdir}/modprobe.d/nvdimm-security.conf

%config(noreplace) %{_sysconfdir}/ndctl.conf.d/monitor.conf
%config(noreplace) %{_sysconfdir}/ndctl.conf.d/ndctl.conf

%files -n daxctl
%license LICENSES/preferred/GPL-2.0 LICENSES/other/MIT LICENSES/other/CC0-1.0
%{_bindir}/daxctl
%{_mandir}/man1/daxctl*
%{_datadir}/daxctl/daxctl.conf
%{bashcompdir}/daxctl
%{_unitdir}/daxdev-reconfigure@.service
%config %{_udevrulesdir}/90-daxctl-device.rules
%config(noreplace) %{_sysconfdir}/daxctl.conf.d/daxctl.example.conf

%files -n cxl-cli
%license LICENSES/preferred/GPL-2.0 LICENSES/other/MIT LICENSES/other/CC0-1.0
%{_bindir}/cxl
%{_mandir}/man1/cxl*
%{bashcompdir}/cxl

%files -n ndctl-libs
%doc README.md
%license LICENSES/preferred/LGPL-2.1 LICENSES/other/MIT LICENSES/other/CC0-1.0
%{_libdir}/libndctl.so.*

%files -n daxctl-libs
%doc README.md
%license LICENSES/preferred/LGPL-2.1 LICENSES/other/MIT LICENSES/other/CC0-1.0
%{_libdir}/libdaxctl.so.*

%files -n cxl-libs
%doc README.md
%license LICENSES/preferred/LGPL-2.1 LICENSES/other/MIT LICENSES/other/CC0-1.0
%{_libdir}/libcxl.so.*

%files -n ndctl-devel
%license LICENSES/preferred/LGPL-2.1
%{_includedir}/ndctl/
%{_libdir}/libndctl.so
%{_libdir}/pkgconfig/libndctl.pc

%files -n daxctl-devel
%license LICENSES/preferred/LGPL-2.1
%{_includedir}/daxctl/
%{_libdir}/libdaxctl.so
%{_libdir}/pkgconfig/libdaxctl.pc

%files -n cxl-devel
%license LICENSES/preferred/LGPL-2.1
%{_includedir}/cxl/
%{_libdir}/libcxl.so
%{_libdir}/pkgconfig/libcxl.pc
%{_mandir}/man3/cxl*
%{_mandir}/man3/libcxl.3.gz

%changelog
* Thu Jan 06 2022 EL Errata <el-errata_ww@oracle.com> 72.1-1.0.1
- Update to 72.1

* Fri Dec 17 2021 EL Errata <el-errata_ww@oracle.com> 72-1.0.1
- Update to 72

* Tue Dec 22 2020 EL Errata <el-errata_ww@oracle.com> 71.1-1.0.1
- BUILDINFO: commit=34c39fa039f9defa81c10b2417d93df1719a94bc
- Update to 71.1

* Sat Dec 19 2020 EL Errata <el-errata_ww@oracle.com> 71-1.0.1
- BUILDINFO: commit=9abf1403a06713910976d4443045949d1d6b4bf5
- Update to 71
- Update Lincense info. 

* Tue Dec 15 2020 Joao Martins <joao.m.martins@oracle.com> 70.1-1.0.3
- BUILDINFO: commit=cd71a0e6d588ded910f9f67b8ba0ce4c232ffb87
- libdaxctl: Dont assume device align to be always available

* Fri Oct 09 2020 EL Errata <el-errata_ww@oracle.com> 70.1-1
- Update to 70.1

* Tue Oct 06 2020 EL Errata <el-errata_ww@oracle.com> 70-1
- BUILDINFO: commit=1cf0c778d993cc2000141262969d65a62487566a
- Update to 70

* Wed Jul 29 2020 Joao Martins <joao.m.martins@oracle.com> 69-1.0.2
- BUILDINFO: commit=d3b53f1ced3ebaf03c0cbf7832a3c78c1c45b718
- Add support for Soft-Reserved regions subdivision

* Wed Jul 22 2020 EL Errata <el-errata_ww@oracle.com> 69-1
- Update to 69

* Mon Mar 23 2020 EL Errata <el-errata_ww@oracle.com> 68-1
- BUILDINFO: commit=c48f9d8dd709a0baf702046a8891bdb2c035ad42
- Update to 68

* Mon Oct 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 67-1
- BUILDINFO: commit=687892fbcb28ec7b985a005df85409e818dace34
- Update to 67

* Wed Aug 07 2019 Jingdong Lu <jingdong.lu@oracle.com> 66-1
- BUILDINFO: commit=952172bc6c9b98b955e1776b1dab438ded237c81
- Update to 66

* Fri May 10 2019 Jingdong Lu <jingdong.lu@oracle.com> 65-1
- BUILDINFO: commit=b915191ce1acff19eec891c397e9fce74d0f0b0d
- Update to 65

* Thu Feb 07 2019 Jingdong Lu <jingdong.lu@oracle.com> 64.1-1.0.1
- BUILDINFO: commit=3a9824895d7da6d07ddc73086d902a7e6843f797
- Update to 64.1

* Thu Feb 07 2019 Alan Steinberg <alan.steinberg@oracle.com> 64-1.0.1
- BUILDINFO: commit=ebf5f023a949d017ef0c4d5039d88dcc2e5808a4
- missing paths added to spec %files sections

* Sat Feb 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 64-1
- Update to 64

* Mon Oct 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 63-1
- BUILDINFO: commit=15115888855c4bf45670cfeb5c576bc2715c2568
- Update to 63

* Wed Sep 05 2018 Jingdong Lu <jingdong.lu@oracle.com> 62-1.0.1.el7
- BUILDINFO: commit=4474c9ca05e4b7804789ca176a74af4224070240
- BUILDINFO: commit=241216a18a95a00eab2b143b37b75d73f053e175
- Update to 62

* Tue May 8 2018 Tony Lam <tony.l.lam@oracle.com> - 60.1-6.el7
- remove ol6

* Tue May 30 2017 Jeff Moyer <jmoyer@redhat.com> - 56-2
- bump release
- Related: bz#1440902 bz#1446689

* Wed May 24 2017 Jeff Moyer <jmoyer@redhat.com> - 56-2
- Update documentation to reflect 4k alignment
- Add support for the MSFT family of DSM functions
- Resolves: bz#1440902 bz#1446689

* Sun Mar 26 2017 Jeff Moyer <jmoyer@redhat.com> - 56-1
- Rebase to upstream version 56
- Default to 4k alignment for device dax
- Resolves: bz#1384873 bz#1384642 bz#1349233 bz#1357451

* Mon Aug 29 2016 Dave Anderson <anderson@redhat.com> - 54.1
- Update to 54.1 to address ixpdimm_sw requirements
- Resolves bz#1271425

* Wed Jul  6 2016 Jeff Moyer <jmoyer@redhat.com> - 53.1-4
- Fix up duplicate "-v" documentation in man page
- Fix bogus test in invalidate_namespace_options
- Resolves: bz#1350404 bz#1271425

* Mon Jun 20 2016 Jeff Moyer <jmoyer@redhat.com> - 53.1-3
- make ndctl Require ndctl-libs-{version}-{release}
- Resolves bz#1271425

* Wed Jun  1 2016 Jeff Moyer <jmoyer@redhat.com> - 53.1-2
- initial import for RHEL
- Resolves bz#1271425

* Fri May 27 2016 Dan Williams <dan.j.williams@intel.com> - 53-1
- add daxctl-libs + daxctl-devel packages
- add bash completion

* Mon Apr 04 2016 Dan Williams <dan.j.williams@intel.com> - 52-1
- Initial rpm submission to Fedora
